(*
*******************************************************************************
*         Copyright (C) SofCon 2003 All Rights Reserved                       *
*******************************************************************************
*
*    project:     Vizualizacni knihovny pro jednotku KIT
*
*
*    title:       T11MCus
*
*******************************************************************************
*
*    description: Konfiguracni procedura pro komponenty zobrazovane
*                 na terminalu T11 Mono
*
*    version:     0.01
*
*     (vyse uvedena verze je pouze verze teto knihovny, ktera
*      je soucasti baliku LIBV, jehoz verze je uvedena v knihovne
*      Iodrv.pas)
*
*    language:    Borland Pascal
*
*    author:      Cernin
*    history:     date        sign   remark
*                 06/09/04    bin    prvni vydani
*
*****************************************************************************
*)

unit T11MCus;

interface

implementation

{[ +default, -color, -showfocus, -flickSafe ]}


uses
  defCus,
  Controls,
  GrCtrls,
  Bitmaps,
  T11MKpad;

{-------------------------------
{ T11MonoCustomizeProc
{---
{ Konfiguracni procedura pro vsechny komponenty definovane
{ v jednotka Controls a GrCtrls. Procedura konfiguruje komponenty
{ tak, aby byly vhodne zobrazeny a reagovaly spravne na
{ vstupni udalosti terminalu Touch11 }
{---
{ AControl   Odkaz na instanci komponenty
{ AClass     Kod tridy konfigurace
{---
{ AClass musi odpovidat tride komponenty, jinak
{ volani funkce muze zpusobit nepredvidatelne nasledky.
}

procedure T11MonoCustomizeProc( AControl: PControl; AClass: Word ); far;
begin
  case AClass and ccGeneralMask of

  {----------------- TWindow }
    ccWindow:
    begin
      with PWindow( AControl )^ do
      begin
      end;
    end;

  {----------------- TFrame }
    ccFrame:
    begin
      with PFrame( AControl )^ do
      begin
      end;
    end;

  {----------------- TDialog }
    ccDialog:
    begin
      with PDialog( AControl )^ do
      begin
      end;
    end;

  {----------------- TPageControl }
    ccPageControl:
    begin
      with PPageControl( AControl )^ do
      begin
      end;
    end;

  {----------------- TPage }
    ccPage:
    begin
      with PPage( AControl )^ do
      begin
      end;
    end;

  {----------------- TApplication }
    ccApplication:
    begin
      with PApplication( AControl )^ do
      begin
      end;
    end;

  {----------------- TButton }
    ccButton:
    begin
      with PButton( AControl )^ do
      begin
        SetOptions( 0, ofSelectable );
      end;
    end;

  {----------------- TEdit }
    ccEdit:
    begin
      with PEdit( AControl )^ do
      begin
      end;
    end;

  {----------------- TListBox }
    ccListBox:
    begin
      with PListBox( AControl )^ do
      begin
      end;
    end;

  {----------------- TNavigator }
    ccNavigator:
    begin
      with PNavigator( AControl )^ do
      begin
      end;
    end;

  {----------------- TProgressBar }
    ccProgressBar:
    begin
      with PProgressBar( AControl )^ do
      begin
      end;
    end;

  {----------------- TScrollBar }
    ccScrollBar:
    begin
      with PScrollBar( AControl )^ do
      begin
      end;
    end;

  {----------------- TStaticText }
    ccStaticText:
    begin
      with PStaticText( AControl )^ do
      begin
      end;
    end;

  {----------------- TPaintBox }
    ccPaintBox:
    begin
      with PPaintBox( AControl )^ do
      begin
      end;
    end;

  {----------------- TImage }
    ccImage:
    begin
      with PImage( AControl )^ do
      begin
      end;
    end;

  {----------------- TKeyPad }
    ccKeyPad:
    begin
      with PKeyPad( AControl )^ do
      begin
      end;
    end;

  {----------------- TTrackBar }
    ccTrackBar:
    begin
      with PTrackBar( AControl )^ do
      begin
      end;
    end;

  {----------------- TUpDown }
    ccUpDown:
    begin
      with PUpDown( AControl )^ do
      begin
      end;
    end;

  {----------------- TListView }
    ccListView:
    begin
      with PListView( AControl )^ do
      begin
      end;
    end;

  {----------------- TListEdit }
    ccListEdit:
    begin
      with PListEdit( AControl )^ do
      begin
      end;
    end;


  else
    { Invalid class }
  end;
end;


begin
  RegisterCustomizeProc( T11MonoCustomizeProc, cplDefault );
  RegisterStdBitmaps1BPP;
end.
  
